Subject: Re: [PATCH] media: nxp: imx8-isi: remove kzalloc_objs

From: Kees Cook <[email-masked]>
Date: Fri, 20 Mar 2026 11:15:32 -0700

On Thu, Mar 19, 2026 at 05:11:22PM -0700, Rosen Penev wrote:
> Technically kzalloc_flex is simpler but I assume a devm version of
> that will be handled in another treewide commit.

Yup, that's coming. I wanted to get the "first pass" of the base kmalloc
family converted first. There are a few classes of "kmalloc wrappers"
like devm_* that I'm hoping to convert to type-based allocations. devm
is next. :)

-- 
Kees Cook